d_alloc_root
Prev | The Directory Cache | Next

## Name

d_alloc_root — allocate root dentry

## Synopsis

`struct dentry * d_alloc_root (` | struct inode * | root_inode`)`;

## Arguments

`root_inode`

  inode to allocate the root for

## Description

Allocate a root (“/”) dentry for the inode given. The inode is instantiated and returned. `NULL` is returned if there is insufficient memory or the inode passed is `NULL`.

Prev | Up | Next
d_instantiate | Home | d_alloc_anon